Bug 239668 - Please disable IPv6 by default in avahi.
Please disable IPv6 by default in avahi.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Bacovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 09:28 EDT by Lennart Poettering
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 18:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2007-05-10 09:28:46 EDT
Please set "use-ipv6=no" in /etc/avahi/avahi-daemon.conf.

It Ipv6 is enabled it causes all services to show up twice everytime we browse
for them. And it also doubles the traffic imposed on the network without much gain.

Yepp, this sucks. But until mDNS/DNS-SD knows no clean way to identify duplicate
services this option should stay of by default. I am working on a clean scheme
to fix this upstream, but for now I'd like to ask you to disable this option by
default.
Comment 1 Lennart Poettering 2007-06-25 18:46:21 EDT
The new Avahi 0.6.20 package I commited a few hours ago changes the default
value of use-ipv6 to "off".

Note You need to log in before you can comment on or make changes to this bug.